Bug 20434 - Mageia 6 sta2 : mgaapplet crash when launching icewm window manager the first time after installing mga6sta2 + update
Summary: Mageia 6 sta2 : mgaapplet crash when launching icewm window manager the first...
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: x86_64 Linux
: High normal
Target Milestone: Mageia 6
Assignee: Mageia tools maintainers
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-09 19:44 CET by Y.LE_NY
Modified: 2017-04-04 19:39 CEST (History)
2 users (show)

See Also:
Source RPM: mgaonline
CVE:
Status comment:


Attachments

Description Y.LE_NY 2017-03-09 19:44:11 CET
Description of problem:
mgaapplet crash when launching icewm the first time after installing mga6sta2 + update with the following error (unknown image format /usr/share/icons/hicolor/scalable/actions/mgaonline-busy.svg ):

Le programme « mgaapplet » a planté avec l'erreur suivante :

  Impossible de reconnaître le format d'image du fichier ëà/usr/share/icons/hicolor/scalable/actions/mgaonline-busy.svgàû at /usr/lib/perl5/vendor_perl/5.22.2/x86_64-linux-thread-multi/Glib/Object/Introspection.pm line 67.
  Perl's trace:
  drakbug::bug_handler() called from /usr/lib/perl5/vendor_perl/5.22.2/x86_64-linux-thread-multi/Glib/Object/Introspection.pm:67
  Glib::Object::Introspection::__ANON__() called from /usr/lib/libDrakX/mygtk3.pm:347
  mygtk3::_gtk__Pixbuf() called from /usr/lib/libDrakX/mygtk3.pm:122
  mygtk3::_gtk() called from /usr/lib/libDrakX/mygtk3.pm:59
  mygtk3::gtknew() called from /usr/bin/mgaapplet:687
  main::setState() called from /usr/bin/mgaapplet:642
  main::go2State() called from /usr/bin/mgaapplet:230

Thème utilisé : Adwaita

Pour soumettre un rapport de bogue, cliquez sur le bouton Signaler.  
Cela ouvrira une fenêtre de navigateur sur Bugzilla où vous trouverez un formulaire à remplir.  L'information affichée ci-dessus sera transférée vers ce serveur
Il est très utile d'inclure dans votre rapport la sortie de la commande suivante : « lspcidrake -v ».


Version-Release number of selected component (if applicable):
mageia 6 sta 2 + updates


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 Y.LE_NY 2017-03-09 19:50:56 CET
Note : Mageia 6 sta 2 minimum installation with minimum packages + X server + docs + urpmi + IcewM for WM WITHOUT Plasma (KDE) and Gnome or others windows managers.
Comment 2 Rémi Verschelde 2017-03-09 21:40:31 CET
I guess we might lack some explicit dependency on whichever perl or GTK+ component provides support for reading SVG files.
Comment 3 Frédéric Buclin 2017-03-09 23:16:20 CET
I think you need lib64rsvg2_2-2.40.16-1.mga6.
Comment 4 Frédéric Buclin 2017-03-12 10:59:56 CET
(In reply to Frédéric Buclin from comment #3)
> I think you need lib64rsvg2_2-2.40.16-1.mga6.

Olav: do you think adding this dependency in gtk itself would be the right thing to do?
Comment 5 Frédéric Buclin 2017-04-04 19:25:07 CEST
Couldn't we add the dependency to librsvg2 on drakxtools as mgaonline depends on it already?
Comment 6 Rémi Verschelde 2017-04-04 19:39:47 CEST
Yes, good idea, as it's the package which contains mygtk3.pm from which we use _gtk__Pixbuf() to load the SVG.

Fixed in drakxtools-17.75-2.mga6.

Note You need to log in before you can comment on or make changes to this bug.